#ifndef __TRACKER
#define __TRACKER

#include "gameinitexit.h"

typedef struct{
	char name[32];
	char car[32];
	char location[256];
} tGameListPlayerEntry;

enum{
	kJoinStateOK=0,
	kJoinStateReggie,
	kJoinStateFail
};

typedef struct{
	char host[32];
	char map[32];
	char name[256];
	int loaded;
	int password;
	int numPlayers;
	int numNetPlayers;
	int maxPlayers;
	int arcade;
	int locked;
	int joinState;
	tGameListPlayerEntry players[kMaxPlayers];
} tGameListEntry;

void NetworkStopAdvertising();
void NetworkAdvertiseIdle(tGameInfo *gInfo,int *showLonelyMessage,int locked,int forceUpdate);

//void NetworkSearchGames(tGameListEntry *games,int *numGames,int maxGames,int *updated,int *numPlayers);
void NetworkSearchGames(int *updated,tGameListEntry *games,int *numGames,int maxGames,tGameListPlayerEntry *players,int *numPlayers,int maxPlayers);
void NetworkSearchGamesDone();
void NetworkSearchGamesStop();

void TrackerFetchRecord(tFileRef track,tFileRef car,int arcade);
void TrackerRegisterLapTime(tFileRef track,tFileRef car,int time,int arcade);
void TrackerWaitForLapTimeRegistry();
void TrackerLapTimeRegistryClose();

void TrackerMessageSend(char *message);
int TrackerMessageReceive(char *message);

#endif